FROM alpine:3.10

WORKDIR /var/www/html

ENV COMPOSER_ALLOW_SUPERUSER 1

RUN apk add postgresql-client --repository=http://dl-cdn.alpinelinux.org/alpine/edge/main && apk add --no-cache curl \
	php7 \
	php7-fpm \
	php7-opcache \
	php7-zip \
	php7-gd \
	php7-pgsql \
	php7-pdo \
	php7-pdo_pgsql \
	php7-pdo_mysql \
	php7-mysqli \
	php7-zlib \
	php7-curl \
	php7-redis \
	php7-soap \
	php7-json \
	php7-mbstring \
	php7-gd \
	php7-session \
	php7-openssl \
	php7-igbinary \
	php7-xml \
	php7-iconv \
	php7-dom \
	php7-tokenizer \
	php7-fileinfo \
	php7-xmlwriter \
	php7-simplexml \
	php7-posix \
	php7-pcntl \
	composer

# INSTALL GLOBAL hirak/prestissimo
RUN composer global require hirak/prestissimo

RUN cp /usr/bin/php7 /usr/bin/php

COPY configs/www.conf /etc/php7/php-fpm.d/www.conf
COPY configs/php.ini /etc/php7/php.ini

ADD scripts/start.sh /start.sh
RUN chmod 755 /start.sh

EXPOSE 9000

CMD ["/start.sh"]
